Subject: bug#52044: closed (Re: bug#52044: Various Program Settings not Saving and Icons not Recognized)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Jan 2022 20:01:02 +0000

Your bug report

#52044: Various Program Settings not Saving and Icons not Recognized

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52044: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52044
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52044: Various Program Settings not Saving and Icons not Recognized
From: Liliana Marie Prikler <[email-masked]>
To: Jaft <[email-masked]>, Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Tue, 04 Jan 2022 21:00:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 03.01.2022 um 22:05 +0000 schrieb Jaft:
> Hey, Josselin.
> 
> Thanks so much for all the info. and walking through how things work;
> it was really helpful.
> 
> In the end, I think I just missed restarting my computer; after doing
> so, the change that was made regarding gdk-pixbuf seems to've fixed
> whatever SVG issues I'd been having in a variety of places as
> everything, using the native packages – unaltered – in Guix, just
> worked.
> 
> I think it's fair to consider this closed as the change seems to've
> fixed all the SVG issues I'd been encountering.
> 
> Thanks so much for everything!
Daily reminder (or neat fun fact if you're new) that Debbugs has no
permissions, so you can close bugs on your own my adding "-done" to the
bug number in the address.

Have a nice day :)

Subject: Various Program Settings not Saving and Icons not Recognized
From: Jaft <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 22 Nov 2021 19:54:04 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm not sure if it's stemming from a bug or I've just missed a package or service I should've included but I find there're several programs I have installed which aren't saving their settings.
Catfish and thunar are two easy examples while gnome-calendar, arandr, and viewnior do save their preferences, when modified, just fine. In a sort of weird middle-ground, lxappearance will save, say, an icon change (I can check .config/gtk-3.0/settings.ini and see that the icons have been updated) but, upon opening it, again, I find that it says the previous icon set is what's been chosen (this doesn't affect the settings.ini file, though; I would need to actually reselect the old icon set and hit Apply for that to get updated, once more).

In a sort of similar vein, icons can't seem to be recognized for particular programs; thunar and gnome-screenshot are easy examples and I've attached an image indicating what I mean. Catfish is fine but I think it's falling back to the HighContrast iconset (interestingly, the only iconset that seems to work when I set it in lxappearance). rofi, even, isn't able to provide any application icons when using drun mode. lxappearance and nitrogren are two I've noticed using the icons I set (Papirus-Light, mostly).
I thought it might be an issue with how XDG_DATA_DIRS may be set but it's set to both /run/current-system/profile and my .guix-profile's share directories; my .guix-profile/share/icons only has hicolor in is but /run/current-system/profile/share/icons has all the expected icons in it, including hicolor. At least, it certainly is when I open a terminal but even launching, say, thunar from the terminal still has the exact same behavior.

I'll put the services and packages of my system config below but let me know if there's anything else I could provide which would also be helpful.
(packages
  (append
    (list (specification->package "openbox")
          (specification->package "nss-certs")
          ;;; algebra
          bc
          ;;; dunst
          dunst
          ;;; compton
          compton
          ;;; admin
          inxi-minimal
          htop
          ;;; lxde
          ;; lxterminal
          lxappearance
          ;;; xfce
          catfish
          tumbler
          thunar
          thunar-volman
          xfce4-power-manager
          ;;; xdisorg
          arandr
          tint2
          rofi
          clipmenu
          ;;; calendar
          gsimplecal
          ;;; version-control
          (list git                  "out")
          (list git "credential-libsecret")
          ;;; gnome
          gnome-keyring
          seahorse
          gvfs
          file-roller
          gnome-calculator
          gnome-font-viewer  ;; gsettings-desktop-schemas
          gnome-screenshot
          gnome-themes-standard
          ;;; gnome-xyz
          papirus-icon-theme
          ;;; fonts
          font-abattis-cantarell
          font-fira-code
          ;;; ncdu
          ncdu
          ;;; pulseaudio
          pulsemixer
          ;;; wm
          i3lock
          i3lock-fancy
          nitrogen
          ;;; linux
          ;; ntfs-3g
          ;; fuse-exfat
          ;;; file-systems
          ;; exfat-utils
          ;;; image-viewers
          viewnior)
    %base-packages))
(services (cons*
            (service slim-service-type (slim-configuration
                         (display  ":0")
                         (vt      "vt7")))
            (modify-services %desktop-services (delete gdm-service-type))))